summaryrefslogtreecommitdiff
path: root/dev-python/regex
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-22 19:15:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-22 19:15:20 +0000
commit3a49fd17ead72cf159fb192ce2c9988232433db4 (patch)
tree99982e97b7fa82146055de4be797db3a16501ee6 /dev-python/regex
parent9cdbf4c3e0696ba01563ed61985819786e9ff78b (diff)
downloadbaldeagleos-repo-3a49fd17ead72cf159fb192ce2c9988232433db4.tar.gz
baldeagleos-repo-3a49fd17ead72cf159fb192ce2c9988232433db4.tar.xz
baldeagleos-repo-3a49fd17ead72cf159fb192ce2c9988232433db4.zip
Adding metadata
Diffstat (limited to 'dev-python/regex')
-rw-r--r--dev-python/regex/Manifest1
-rw-r--r--dev-python/regex/regex-2025.10.23.ebuild37
-rw-r--r--dev-python/regex/regex-2025.9.18.ebuild2
3 files changed, 39 insertions, 1 deletions
diff --git a/dev-python/regex/Manifest b/dev-python/regex/Manifest
index 6062c6f9d48f..c9840d843c43 100644
--- a/dev-python/regex/Manifest
+++ b/dev-python/regex/Manifest
@@ -1,2 +1,3 @@
+DIST regex-2025.10.23.tar.gz 401266 BLAKE2B 56441db882934d0472f8ccec3c4f50ce6b45db66ee49d5275f4b90ec2d4d4c552e68fb53b965b45bb37d4e4ce864f8cb4b0341228e92959b90a71adbf7a18ef1 SHA512 6ce878dc9950dff432d358e8a5955df8ba0ff3cada1a70c37812aa3f4f168d9ea8f4c05976b29c6bafbfdb45e2c0692a60613f5144c4d531b7dbd603a993320c
DIST regex-2025.7.34.tar.gz 400714 BLAKE2B 4eb0c5600b9ef759f1e7511d01d533a3fda7b6010b6c974c0071e7cde2f5bbd9a8c62289b7abb4f2e0d9c251a9421876f6bf0a021892073babffb181d099ae55 SHA512 d30f69559804db12d85ee4c81d7055f3aab70f9a7c86b642932b7a12295ab2a4ca8e2a9bbf3a208b0546b7f7c76c64216cbd0b3ddfb7dfbd3fff7f9d4fa1d9ec
DIST regex-2025.9.18.tar.gz 400917 BLAKE2B 0239c15afed04de12985576709abcdf294b248d084a9b9126fd3bc734ddb51df83a35578602675af04df82819b9dcf65228b918c4d39fc762106f62b470b96ad SHA512 15fa2b951045cc1fa1d11d95cf6223f33f2d0d5b51637a9e5e99966176aa973deb34cf9a8baf5c6ebe49b26e3edb64bda1432bbf4610aefa3981385a404d1f51
diff --git a/dev-python/regex/regex-2025.10.23.ebuild b/dev-python/regex/regex-2025.10.23.ebuild
new file mode 100644
index 000000000000..b0f7c524fb1f
--- /dev/null
+++ b/dev-python/regex/regex-2025.10.23.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# pypy isn't supported upstream because of its UTF8 representation for strings
+# See https://github.com/mrabarnett/mrab-regex/issues/521#issuecomment-1936260187.
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://github.com/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="doc"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/regex/tests" || die
+ eunittest
+}
diff --git a/dev-python/regex/regex-2025.9.18.ebuild b/dev-python/regex/regex-2025.9.18.ebuild
index 7f018049f16b..d846433accde 100644
--- a/dev-python/regex/regex-2025.9.18.ebuild
+++ b/dev-python/regex/regex-2025.9.18.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
IUSE="doc"
distutils_enable_tests unittest